PARTED(8)

BEZEICHNUNG
GNU Parted - ein Programm zur Bearbeitung von Partitionen

ÜBERSICHT
parted [Optionen] [Gerät [Befehl [Optionen…]…]]

BESCHREIBUNG
parted is a program to manipulate disk partitions. It supports multiple partition table formats, including MS-DOS and GPT. It is useful for creating space for new operating systems, reorganising disk usage, and copying data to new hard disks.

This manual page documents parted briefly. Complete documentation is distributed with the package in GNU Info format.

OPTIONEN

-h, --help
    Hilfe anzeigen

-l, --list
    Partitionslayout auf allen Blockgeräten auflisten

-m, --machine
    Maschinenlesbare Ausgaben anzeigen

-s, --script
    Nie um Eingriff des Benutzers bitten

-v, --version
    Version anzeigen

-a alignment-type, --align alignment-type
    Ausrichtung für neu angelegte Partitionen festlegen. Gültige Ausrichtungstypen sind:

    none
        Die vom jeweiligen Datenträgertyp erlaubte minimale Ausrichtung verwenden.

    cylinder
        Partitionen an Zylindern ausrichten.

    minimal
        Use minimum alignment as given by the disk topology information. This and the opt value will use layout information provided by the disk to align the logical partition table addresses to actual physical blocks on the disks. The min value is the minimum alignment needed to align the partition properly to physical blocks, which avoids performance degradation.

    optimal
        Use optimum alignment as given by the disk topology information. This aligns to a multiple of the physical block size in a way that guarantees optimal performance.

BEFEHLE

[Gerät]
    Das zu verwendende Blockgerät. Wenn nichts angegeben wird, verwendet parted den ersten Block des ersten gefundenen Blockgeräts.

[Befehl [Optionen]]
    Den auszuführenden Befehl angeben. Falls kein Befehl angegeben wird, öffnet parted eine Eingabeaufforderung. Mögliche Befehle sind:

    help [Befehl]
        Allgemeine Hilfe anzeigen, oder Hilfe zu Befehl, falls angegeben.

    align-check type partition
        Check if partition satisfies the alignment constraint of type. type must be "minimal" or "optimal".

    mklabel Disklabel-Typ
        Create a new disklabel (partition table) of label-type. label-type should be one of "aix", "amiga", "bsd", "dvh", "gpt", "loop", "mac", "msdos", "pc98", or "sun".

    mkpart Partitionstyp [Dateisystemtyp] Beginn Ende
        Make a part-type partition for filesystem fs-type (if specified), beginning at start and ending at end (by default in megabytes). part-type should be one of "primary", "logical", or "extended".

    name Partition Bezeichnung
        Den Namen der Partition als Name festlegen. Diese Option ist nur für Mac-, PC-98- und GPT-Disklabels verfügbar. Der Name kann in Zitatzeichen gesetzt werden, falls notwendig.

    print
        Die Partitionstabelle anzeigen.

    quit
        parted beenden.

    rescue Beginn Ende
        Eine verlorene Partition wiederherstellen, die irgendwo zwischen Beginn und Ende liegt. Falls eine Partition gefunden wird, fragt parted, ob Sie dafür einen Eintrag in der Partitionstabelle erstellen wollen.

    rm Partition
        Partition löschen.

    select Gerät
        Gerät als das aktuell zu bearbeitende Gerät wählen. Gerät sollte üblicherweise ein Linux-Festplattengerät sein, kann aber auch eine Partition, ein Software-RAID-Gerät oder ein logischer Datenträger (LVM) sein, falls erforderlich.

    set Partition Flag Status
        Den Status von Flag auf Partition in Status ändern. Unterstützte Flags sind: »boot«, »root«, »swap«, »hidden«, »raid«, »lvm«, »lba«, »legacy_boot« und »palo«. Status sollte entweder »on« oder »off« sein.

    unit Einheit
        Set unit as the unit to use when displaying locations and sizes, and for interpreting those given by the user when not suffixed with an explicit unit. unit can be one of "s" (sectors), "B" (bytes), "kB", "MB", "MiB", "GB", "GiB", "TB", "TiB", "%" (percentage of device size), "cyl" (cylinders), "chs" (cylinders, heads, sectors), or "compact" (megabytes for input, and a human-friendly form for output).

    toggle partition flag
        Toggle the state of flag on partition.

    version
        Versions- und Copyright-Informationen anzeigen

FEHLER BERICHTEN
Melden Sie Fehler an <bug-parted@gnu.org>.

SIEHE AUCH
fdisk(8), mkfs(8), The parted program is fully documented in the info(1) format GNU partitioning software manual.

AUTOR
Diese Handbuchseite wurde von Timshel Knoll <timshel@debian.org> für das Debian GNU/Linux-System geschrieben (darf aber auch von anderen verwendet werden).

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.